# Interface FeatureSetJson

Contains the geometry and attributes of features in a layer. This object is used with feature collections only. For more information, see Layer.

See https://developers.arcgis.com/web-map-specification/objects/featureSet/ https://developers.arcgis.com/web-scene-specification/objects/featureSet/.

interface FeatureSetJson {
features: FeatureJson[];
geometryType: GeometryJsonType;
spatialReference?: SpatialReferenceJson;
}

#####
Index

### Properties

features
geometryType
spatialReference?

##
Properties

### features

features: FeatureJson[]

An array of Feature objects, each one containing geometry and a set of attributes.

### geometryType

geometryType: GeometryJsonType

One of the GeometryType constants. See Geometry.GeometryJsonType.

### `Optional` spatialReference

spatialReference?: SpatialReferenceJson

.